package com.company;

/**
 *By this class makes a ticket for customer when a seat is reserved
 * @author Seyedeh Fatemeh Ahmadzadeh
 * @version 1.0
 * @since 2019 - 3 - 5
 */

public class Ticket {
    private int flightNo;
    private int seatNo;
    private Customer customer;
    private int cost;
    private int weight;
    private Boolean food;

    public Ticket(int weight , int cost , Flight flight , Boolean food , Seat seat , Customer customer){
        flightNo = flight.getFlightNo();
        this.cost = cost;
        this.weight = weight;
        this.food = food;
        seatNo = seat.getSeatNumber();
        this.customer = customer;
    }

    public int getFlightNo(){
        return flightNo;
    }

    public int getSeatNo(){
        return seatNo;
    }

    public int getCustomerID(){
        return customer.getID();
    }
}
